{
    description = "gstreamer grafik server";

    inputs = {
        nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
        flake-utils.url = "github:numtide/flake-utils";
    };

    outputs = { self, nixpkgs, flake-utils }:
        flake-utils.lib.eachDefaultSystem
            (system:
                let pkgs = nixpkgs.legacyPackages.${system}; in
                {
                    devShell = import ./default.nix { inherit pkgs; };
                    defaultPackage = import ./package.nix { inherit pkgs; inherit self; };
                }
            );
}